+++
title = "FAQ"
description = "HCC Frequently Asked Questions"
weight = "95"
+++

- [I have an account, now what?](#i-have-an-account-now-what)
- [How do I change my password?](#how-do-i-change-my-password)
- [I forgot my password, how can I retrieve it?](#i-forgot-my-password-how-can-i-retrieve-it)
- [I just deleted some files and didn't mean to! Can I get them back?](#i-just-deleted-some-files-and-didnt-mean-to-can-i-get-them-back)
- [How do I (re)activate Duo?](#how-do-i-reactivate-duo)
- [How many nodes/memory/time should I request?](#how-many-nodesmemorytime-should-i-request)
- [I am trying to run a job but nothing happens?](#i-am-trying-to-run-a-job-but-nothing-happens)
- [I keep getting the error "slurmstepd: error: Exceeded step memory limit at some point." What does this mean and how do I fix it?](#i-keep-getting-the-error-slurmstepd-error-exceeded-step-memory-limit-at-some-point-what-does-this-mean-and-how-do-i-fix-it)
- [I keep getting the error "Some of your processes may have been killed by the cgroup out-of-memory handler." What does this mean and how do I fix it?](#i-keep-getting-the-error-some-of-your-processes-may-have-been-killed-by-the-cgroup-out-of-memory-handler-what-does-this-mean-and-how-do-i-fix-it)
- [I keep getting the error "Job cancelled due to time limit." What does this mean and how do I fix it?](#i-keep-getting-the-error-job-cancelled-due-to-time-limit-what-does-this-mean-and-how-do-i-fix-it)
- [I want to talk to a human about my problem. Can I do that?](#i-want-to-talk-to-a-human-about-my-problem-can-i-do-that)
- [My submitted job takes long time waiting in the queue or it is not running?](#my-submitted-job-takes-long-time-waiting-in-the-queue-or-it-is-not-running)
- [What IP's do I use to allow connections to/from HCC resources?](#what-ips-do-i-use-to-allow-connections-tofrom-hcc-resources)
- [Why my job is showing (ReqNodeNotAvail, Reserved for maintenance) before a downtime?](#why-my-job-is-showing-reqnodenotavail-reserved-for-maintenance-before-a-downtime)
- [Why my Open OnDemand JupyterLab/Interactive App Session is stuck and is not starting?](#why-my-open-ondemand-jupyterlabinteractive-app-session-is-stuck-and-is-not-starting)
- [Why my Open OnDemand RStudio Session is crashing?](#why-my-open-ondemand-rstudio-session-is-crashing)
- [Why I can not access files under shared Attic/Swan Globus Collection?](#why-i-can-not-access-files-under-shared-atticswan-globus-collection)
- [I am graduating soon, what will happen with my HCC account?](#i-am-graduating-soon-what-will-happen-with-my-hcc-account)
- [I need more resources than I can select with Open OnDemand Apps, can I do that?](#i-need-more-resources-than-i-can-select-with-open-ondemand-apps-can-i-do-that)
- [How can I check which directories utilize the most storage on Swan?](#how-can-i-check-which-directories-utilize-the-most-storage-on-swan)
- [I want to create HCC account, but when I try to request one, I am getting the error "Your account email must match the email on record for this group". What should I do?](#i-want-to-create-hcc-account-but-when-i-try-to-request-one-i-am-getting-the-error-your-account-email-must-match-the-email-on-record-for-this-group-what-should-i-do)
- [I want to compress large directory with many files. How can I do that?](#i-want-to-compress-large-directory-with-many-files-how-can-i-do-that)
- [Can HCC provide training for my group?](#can-hcc-provide-training-for-my-group)
- [Can HCC provide help and resources for my workshop?](#can-hcc-provide-help-and-resources-for-my-workshop)
- [Where can I get training on using HCC resources?](#where-can-i-get-training-on-using-hcc-resources)

---

#### I have an account, now what?

Congrats on getting an HCC account! Now you need to connect to a Holland
cluster. To do this, we use an SSH connection. SSH stands for Secure
Shell, and it allows you to securely connect to a remote computer and
operate it just like you would a personal machine.

Depending on your operating system, you may need to install software to
make this connection. Check out our documentation on [Connecting to HCC Clusters]
({{< relref "../connecting/" >}}).

#### How do I change my password?

#### I forgot my password, how can I retrieve it?

Information on how to change or retrieve your password can be found on
the documentation page: [How to change your
password]({{< relref "/accounts/how_to_change_your_password" >}})


All passwords must be at least 8 characters in length and must contain
at least one capital letter and one numeric digit. Passwords also cannot
contain any dictionary words. If you need help picking a good password,
consider using a (secure!) password generator such as
[this one provided by Random.org](https://www.random.org/passwords)

To preserve the security of your account, we recommend changing the
default password you were given as soon as possible.

#### I just deleted some files and didn't mean to! Can I get them back?

That depends. Where were the files you deleted?

**If the files were in your $HOME directory (/home/group/user/):** It's
possible.

$HOME directories are backed up daily and we can restore your files as
they were at the time of our last backup. Please note that any changes
made to the files between when the backup was made and when you deleted
them will not be preserved. To have these files restored, please contact
HCC Support at
{{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu)
as soon as possible.

**If the files were in your $WORK directory (/work/group/user/):** No.

Unfortunately, the $WORK directories are created as a short term place
to hold job files. This storage was designed to be quickly and easily
accessed by our worker nodes and as such is not conducive to backups.
Any irreplaceable files should be backed up in a secondary location,
such as Attic, the cloud, or on your personal machine. For more
information on how to prevent file loss, check out [Preventing File
Loss]({{< relref "preventing_file_loss" >}}).

#### How do I (re)activate Duo?

**If you have not activated Duo before:**

Please ~~stop by
[our offices](http://hcc.unl.edu/location)~~
join our [Remote Open Office hours](https://hcc.unl.edu/OOH) or schedule another remote 
session at [hcc-support@unl.edu](mailto:hcc-support@unl.edu) and show your photo ID and we will be happy to activate it for you. 

**If you have activated Duo previously but now have a different phone
number:**

~~Stop by our offices along with a photo ID and we can help you reactivate
Duo and update your account with your new phone number.~~ 

Join our [Remote Open Office hours](https://hcc.unl.edu/OOH) or schedule another remote 
session at [hcc-support@unl.edu](mailto:hcc-support@unl.edu) and show your photo ID and we will be happy to activate it for you. 

**If you have activated Duo previously and have the same phone number:**

Email us at
{{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu)
from the email address your account is registered under and we will send
you a new link that you can use to activate Duo.

#### How many nodes/memory/time should I request?

**Short answer:** We don’t know.

**Long answer:** The amount of resources required is highly dependent on
the application you are using, the input file sizes and the parameters
you select. Sometimes it can help to speak with someone else who has
used the software before to see if they can give you an idea of what has
worked for them.

Ultimately, it comes down to trial and error; try different
combinations and see what works and what doesn’t. Good practice is to
check the output and utilization of each job you run. This will help you
determine what parameters you will need in the future.

For more information on how to determine how many resources a completed
job used, check out the documentation on [Monitoring Jobs]({{< relref "monitoring_jobs" >}}).

#### I am trying to run a job but nothing happens?

Where are you trying to run the job from? You can check this by typing
the command \`pwd\` into the terminal.

**If you are running from inside your $HOME directory
(/home/group/user/)**:

Move your files to your $WORK directory (/work/group/user) and resubmit
your job. The $HOME folder is not meant for job output. You may be attempting
to write too much data from the job.

**If you are running from inside your $WORK directory:**

Contact us at
{{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu)
with your login, the name of the cluster you are running on, and the
full path to your submit script and we will be happy to help solve the
issue.

#### I keep getting the error "slurmstepd: error: Exceeded step memory limit at some point." What does this mean and how do I fix it?

This error occurs when the job you are running uses more memory than was
requested in your submit script.

If you specified `--mem` or `--mem-per-cpu` in your submit script, try
increasing this value and resubmitting your job.

If you did not specify `--mem` or `--mem-per-cpu` in your submit script,
chances are the default amount allotted is not sufficient. Add the line

{{< highlight batch >}}
#SBATCH --mem=<memory_amount>
{{< /highlight >}}

to your script with a reasonable amount of memory and try running it again. If you keep
getting this error, continue to increase the requested memory amount and
resubmit the job until it finishes successfully.

For additional details on how to monitor usage on jobs, check out the
documentation on [Monitoring Jobs]({{< relref "monitoring_jobs" >}}).

If you continue to run into issues, please contact us at
{{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu)
for additional assistance.

#### I keep getting the error "Some of your processes may have been killed by the cgroup out-of-memory handler." What does this mean and how do I fix it?

This is another error that occurs when the job you are running uses more memory than was
requested in your submit script.

If you specified `--mem` or `--mem-per-cpu` in your submit script, try
increasing this value and resubmitting your job.

If you did not specify `--mem` or `--mem-per-cpu` in your submit script,
chances are the default amount allotted is not sufficient. Add the line

{{< highlight batch >}}
#SBATCH --mem=<memory_amount>
{{< /highlight >}}

to your script with a reasonable amount of memory and try running it again. If you keep
getting this error, continue to increase the requested memory amount and
resubmit the job until it finishes successfully.

For additional details on how to monitor usage on jobs, check out the
documentation on [Monitoring Jobs]({{< relref "monitoring_jobs" >}}).

If you continue to run into issues, please contact us at
{{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu)
for additional assistance.

#### I keep getting the error "Job cancelled due to time limit." What does this mean and how do I fix it?

This error occurs when the job you are running reached the time limit than was
requested in your submit script without finishing successfully.

If you specified `--time` in your submit script, try
increasing this value and resubmitting your job.

If you did not specify `--time` in your submit script,
chances are the default runtime of 1 hour is not sufficient. Add the line

{{< highlight batch >}}
#SBATCH --time=<runtime>
{{< /highlight >}}

to your script with increased runtime value and try running it again. The maximum runtime on Swan 
is 7 days (168 hours).

For additional details on how to monitor usage on jobs, check out the
documentation on [Monitoring Jobs]({{< relref "monitoring_jobs" >}}).

If you continue to run into issues, please contact us at
{{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu)
for additional assistance.

#### I want to talk to a human about my problem. Can I do that?

Of course! We have an open door policy and invite you to ~~stop by
[either of our offices](http://hcc.unl.edu/location)
anytime Monday through Friday between 9 am and 5 pm. One of the HCC
staff would be happy to help you with whatever problem or question you
have.~~ join our [Remote Open Office hours](https://hcc.unl.edu/OOH), schedule a remote 
session at [hcc-support@unl.edu](mailto:hcc-support@unl.edu), or you can drop one of us a line and we'll arrange a time to meet:  [Contact Us](https://hcc.unl.edu/contact-us).

#### My submitted job takes long time waiting in the queue or it is not running?
If your submitted jobs are taking long time waiting in the queue, that usually means your account is over-utilizing and your fairshare score is low, this might be due submitting big number of jobs over the past period of time; and/or the amount of resources (memory, time) you requested for your job is big.
For additional details on how to monitor usage on jobs, check out the documentation on [Monitoring queued Jobs]({{< relref "monitoring_jobs" >}}).

#### What IP's do I use to allow connections to/from HCC resources?
Under normal circumstances no special network permissions are needed to access HCC resources. Occasionally, it may be necessary to whitelist the public IP
addresses HCC utilizes. Most often this is needed to allow incoming connections for an external-to-HCC license server, but may also be required
if your local network blocks outgoing connections. To allow HCC IP's, add the following ranges to the whitelist:
{{< highlight batch >}}
129.93.175.0/26
129.93.227.64/26
129.93.241.16/28
{{< /highlight >}}

If you are unsure on how to do this, contact your local IT support staff for assistance.
For additional questions or issues with this, please [Contact Us](https://hcc.unl.edu/contact-us).

#### Why my job is showing (ReqNodeNotAvail, Reserved for maintenance) before a downtime?
Jobs submitted before a downtime may pend and show _(ReqNodeNotAvail, Reserved for maintenance)_ for their status.
(Information on upcoming downtimes can be found at [status.hcc.unl.edu](https://status.hcc.unl.edu/).)
Any job which cannot finish before a downtime is scheduled to begin will pend and show this message.  For example,
the downtime starts in 6 days but the script is requesting (via the `--time` option) 7 days of runtime.
If you are sure your job can finish in time, you can lower the requested time to be less than the interval before
the downtime begins (for example, 4 days if the downtime starts in 6 days). Use this with care however to ensure your
job isn't prematurely terminated. Alternatively, you can simply wait until the downtime is completed. Jobs will
automatically resume normally afterwards; no special action is required.

#### Why my Open OnDemand JupyterLab/Interactive App Session is stuck and is not starting?
The most common reason for this is full `$HOME` directory. You can check the size of the directories in `$HOME` by running `ncdu` on the terminal from the `$HOME` directory.

Then, please remove any unnecessary data; move data to [$COMMON or $WORK]({{< relref "../handling_data/" >}}); or [back up important data elsewhere]({{< relref "../handling_data/data_storage/preventing_file_loss.md" >}}).
If the majority of storage space in `$HOME` is utilized by `conda` environments, please [move the conda environments]({{< relref "../applications/user_software/using_anaconda_package_manager#moving-and-recreating-existing-environment" >}}) or [remove unused conda packages and caches]({{< relref "../applications/user_software/using_anaconda_package_manager#remove-unused-anaconda-packages-and-caches" >}}).

#### Why my Open OnDemand RStudio Session is crashing?
There are two main reasons why this may be happening:
1) The requested RAM is not enough for the analyses you are performing. In this case, please terminate your running Session and start a new one requesting more RAM.
2) Some R packages installed as part of the OOD RStudio App may be incompatible with each other. In this case, please terminate your running Session and rename the directory where these packages are installed (e.g., `mv $HOME/R $HOME/R.bak`). To reduce the number of R packages you need to install, please use specific variants such as Bioconductor, Tidyverse or Geospatial when needed instead of installing Bioconductor packages using the OOD RStudio Basic variant for example.

#### Why I can not access files under shared Attic/Swan Globus Collection?
In some occasions, errors such as _"Mapping collection to specified ID failed."_, may occur when accessing files from shared Attic/Swan Globus Collection. 
In order to resolve this issue, the owner of the collection needs to login to Globus and activate the `hcc#attic` or `hcc#swan` endpoint respectively. 
This should reactivate the correct permissions for the collection.

#### I am graduating soon, what will happen with my HCC account? 

Access to HCC resources is separate from access to NU resources, so you do not lose access to HCC when you graduate. 

- If the HCC account is part of a research group, the account will remain active until the owner of the group requests that the account needs to be deactivated or until the account hasn't been used for a minimum of an year, whichever comes first. 

- If the account holder continues collaborating with the HCC group owner as an outside collaborator, a proof of collaboration may be required. For more information on the User regulations please see [here](https://hcc.unl.edu/hcc-policies#user-regulations). 

- If the account is only part of a course group, then according to [our class policy](https://hcc.unl.edu/hcc-policies#class-groups), the account will be deactivated one week after the course end date.

#### I need more resources than I can select with Open OnDemand Apps, can I do that?
The Open OnDemand Apps are meant to be used for learning, development and light testing and have limited resources compared to the resources available for batch submissions. If the resources provided by OOD Apps are not enough, then they should migrate their workflow to batch script.

#### How can I check which directories utilize the most storage on Swan?
You can run `ncdu` from the Swan terminal with the location in question and (re)move directories and data if needed, e.g.,:
{{< highlight batch >}}
ncdu $HOME/my-folder
{{< /highlight >}}

{{% notice info %}}
If you have thousands or millions files in a location on Swan, please run `ncdu` only on a sub-directory you suspect may contain large numbers of files.
{{% /notice %}}

You may also use `ncdu` on locations in $WORK or $COMMON. Note that running `ncdu` puts additional load on the filesystem(s), so **please run it sparingly**.
HCC suggests running `ncdu` once and saving the output to a file; `ncdu` will read from this file instead of potentially scanning the filesystem multiple times.
To run `ncdu` in this manner, first scan the location using the `-o` option

{{< highlight batch >}}
ncdu -o ncdu_output.txt $HOME/my-folder
{{< /highlight >}}

Then use the `-f` option to start `ncdu` graphically using this file, i.e.

{{< highlight batch >}}
ncdu -f ncdu_output.txt
{{< /highlight >}}

Note that re-reading the filesystem to see changes in real time is not supported in this mode.  After making changes (deleting/moving files), a new output file
will need to be created and read by repeating the steps above.

#### I want to create HCC account, but when I try to request one, I am getting the error "Your account email must match the email on record for this group". What should I do?
This error message indicates that you have probably selected the *"I am the owner of this group and this account is for me."* checkbox when filling out the New User Request Form. 
This checkbox should be selected only by the owner of the HCC group. 
If you are not the owner of the HCC group, please do not select this checkbox and try re-submitting the form again.

#### I want to compress large directory with many files. How can I do that?
In general, we recommend using `zip` as the archive format as `zip` files keep an index of the files. 
Moreover, `zip` files can be quickly indexed by the various `zip` tools, and allow extraction of all files or a subset of files.
To compress the directory named `input_folder` into `output.zip`, you can use:
{{< highlight batch >}}
zip -r output.zip input_folder/
{{< /highlight >}}

If you don't need to list and extract subsets of the archived data, we recommend using `tar` instead.
To compress the directory named `input_folder` into `output.tar.gz`, you can use:
{{< highlight batch >}}
tar zcf output.tar.gz input_folder/
{{< /highlight >}}

Depending on the size of the directory and number of files you want to compress, you can perform the compressing via an [Interactive Job]({{< relref "creating_an_interactive_job" >}}) or [SLURM job]({{< relref "submitting_jobs" >}}).

#### Can HCC provide training for my group?
HCC can provide an introductory training (up to 2 hours) for groups (more than 2 people) on request via Zoom and In-Person. 

Before submitting a request for training, please ensure everyone who will be attending has an active HCC account **and** has activated DUO for their HCC account. 

Training requests can be submitted to {{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu). 
Please include:

- A list of available times
- How many will be attending
- Preference on Zoom or on-site training
- If on-site, what location is it at?

An HCC staff member will reach out to confirm the date and location. 

HCC also provides virtual Open Office Hours every Tuesday and Thursday from 2-3 PM. More details are available on the [Office Hours webpage](https://hcc.unl.edu/OOH).

#### Can HCC provide help and resources for my workshop?
We are happy to help with your workshop! We are able to provide up to 40 demo accounts for participants who don't already have HCC accounts and can have a staff member on-site to provide assistance with issues related to HCC and answering HCC related questions. 

Please submit your request atleast **1 month in advance**. Requests may not be able to be fulfilled based on staff availability. It is strongly recommended to involve HCC staff during the initial planning of the hands-on portion of the workshop in order to provide smooth and timely experience with HCC resources.

Before submitting a request for workshop support, please fully test your materials using Swan and provide us a complete list of any software packages and environments that are needed.

Workshop support requests can be submitted to {{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu). 
Please include:

- The date(s) and time(s) HCC will be utilized during the workshop, including any neccessarry setup. 
- How many will be attending. If possible, please provide how many already have HCC accounts. 
- Location of the workshop
- A list of software packages or environments that everyone would need. 
  - If you are using Open OnDemand JupterLab or RStudio, we can create custom kernel/image for the purpose of the workshop.
  - If you are using a conda environment, we can create a shared environment for participants to use without the need to have participants creating their own. 


An HCC staff member will reach out to confirm the date and location. 

#### Where can I get training on using HCC resources?
HCC provides free and low cost training events throughout the year. Most events are held in-person, but some will be hybrid or Zoom. 

New events are posted on our [upcoming events page](https://hcc.unl.edu/upcoming-events) and announced through our [hcc-announce mailing list](https://hcc.unl.edu/subscribe-mailing-list). 

Past events and their materials are also available on our [past events page](https://hcc.unl.edu/past-events). 
