+++
title = "Common Retirement"
description = "Common Retirement and FAQ"
weight = "95"
+++

- [Summary](#summary)
- [Where can I move my data? ](#where-can-i-move-my-data)
- [When is the data stored on Common going away?](#when-is-the-data-stored-on-common-going-away)
- [How do I get access to NRDStor?](#how-do-i-get-access-to-nrdstor)
- [How can I migrate my data from Common to NRDstor or Attic?](#how-can-i-migrate-my-data-from-common-to-nrdstor-or-attic)
- [I use $COMMON in my submit scripts, what should I do now?](#i-use-common-in-my-submit-scripts-what-should-i-do-now)
- [Will my Globus Collection on a directory under $COMMON continue to be active?](#will-my-globus-collection-on-a-directory-under-common-continue-to-be-active)
- [Our group has shared directory on $COMMON, what should we do?](#our-group-has-shared-directory-on-common-what-should-we-do)
- [How can I move my conda environment from $COMMON?](#how-can-i-move-my-conda-environment-from-common)
- [Can I run jobs from $NRDSTOR?](#can-i-run-jobs-from-nrdstor)


---

{{% notice warning %}}
It is **strongly encouraged** to take the retirement of $COMMON to review and archive data that may be stored. 
{{% /notice %}}

#### Summary
HCC will be retiring the $COMMON filesystem on July 1st, 2025 and powering it off shortly after.

**Important Dates:**

 - Common retired on July 1st, 2025


#### Where can I move my data? 

You can move your data to [NRDStor]({{< relref "../handling_data/data_storage/NRDSTOR/" >}}), or [Attic]({{< relref "../handling_data/data_storage/using_attic/" >}}). In any case, please make sure you have your important data backed up in another location. For large data transfers, it is strongly encouraged to use [Globus]({{< relref "../handling_data/data_transfer/globus_connect/" >}}) to transfer your data. The Globus transfer servers for Swan, and Attic provide a faster connection for the data transfer and provide checks on both ends of the data transfer. NRDStor is accessible from the Swan Globus Collection using the `/mnt/nrdstor/` path. 

The retirement of Common also provides a good opportunity for researchers to evaluate and archive data that is no longer being used.  

#### When is the data stored on Common going away?

Data on Common will be removed shortly after the retirement on July 1st, 2025.  

#### How do I get access to NRDStor?

{{% notice warning %}}
For those who are not a part of the University of Nebraska system, please contact hcc-support@unl.edu for instructions. 

For those from the UNL, UNO, UNK, or UNMC campus, please follow the steps below.
{{% /notice %}}

[NRDStor]({{< relref "../handling_data/data_storage/NRDSTOR/" >}}) does not have immediate access to everyone with an HCC account. 
The steps to get access are: 

1. Complete the ["Introduction to NRDStor" course](https://nebraska.bridgeapp.com/learner/courses/21f78713/enroll).
   
2. [Request NRDStor Access](https://hcc.unl.edu/request-nrdstor-access)
   
3. Wait for the HCC group owner to approve of the request.
   
Once the HCC group owner has approved the request, HCC will grant access to NRDStor. After access has been granted, please review the [NRDStor Documentation.]({{< relref "../handling_data/data_storage/NRDSTOR/" >}}) 

#### How can I migrate my data from Common to NRDstor or Attic?

 - The first step will be to [log into Globus](https://app.globus.org/) using your University credentials or your Globus account. 
 - [Activate the hcc#swan Globus collection](https://hcc.unl.edu/docs/handling_data/data_transfer/globus_connect/activating_hcc_cluster_endpoints/) and sign in using your HCC account. 
 - Activate the collection for your destination, hcc#swan or hcc#attic for Swan and Attic respectively. 
 - [In the "File Manager" tab in Globus](https://hcc.unl.edu/docs/handling_data/data_transfer/globus_connect/file_transfers_between_endpoints/), select the files and directories on the $COMMON side that you wish to transfer to NRDStor or Attic. NRDStor is accessible from the Swan Globus Collection using the `/mnt/nrdstor/` path.
 - Click on the "Start" button above your files on NRDStor to initiate the copy. 
    - The transfer will automatically start in the background across HCC's transfer servers. 

We also have a brief overview of the use of Globus from a prior workshop available [here](https://youtu.be/7zhjr35ellI?t=1643).

#### I use $COMMON in my submit scripts, what should I do now?
All your submit scripts should be modified to not use $COMMON anymore, but the directory where your moved data is stored instead. Additionally, the required line #SBATCH --licenses=common in your submit scripts should be removed as well.

#### Will my Globus Collection on a directory under $COMMON continue to be active?
No, when $COMMON is retired the storage media will be immediately erased, and any access to data in $COMMON will be lost. Before the retirement of $COMMON, please move your data elsewhere and create a new Globus Collection following the steps [here](https://hcc.unl.edu/docs/handling_data/data_transfer/globus_connect/file_sharing/).

#### Our group has shared directory on $COMMON, what should we do?
Please contact hcc-support@unl.edu to have this directory moved to $WORK or $NRDSTOR. Please note that in order to use $NRDSTOR you need to first request access to it.

#### How can I move my conda environment from $COMMON?
For how to move and recreate existing conda environment, please see [here](https://hcc.unl.edu/docs/applications/user_software/using_anaconda_package_manager/#moving-and-recreating-existing-environment).

#### Can I run jobs from $NRDSTOR?
Yes, you can submit jobs from the $NRDSTOR file-system. Please note that the $WORK file-system is recommended for running jobs as a high-performance directory.