+++
title = "Quick Start"
description = "Quick Start"
weight=10
+++

The Nautilus Cluster is a globally distrubuted [Kubernetes](https://kubernetes.io) cluster. 

The general guide of getting access to the Nautilus Cluster can be found [here](https://docs.pacificresearchplatform.org/userdocs/start/get-access/). The guidance in this page is tailored to NU users:

### Get access to the Nautilus cluster

1. Point your browser to the [Nautilus Portal](https://portal.nrp-nautilus.io)
2. On the portal page click on "Login" button at the top right corner
   {{< figure src="/images/nautilus-portal-login.png" height="50"  >}}
3. You will be redirected to the "CILogon" page
4. On this page, select "University of Nebraska-Lincoln" as the Identity Provider from the menu and Click "Log On" button to use your UNL credentials to login. For users from other NU campuses, select the institution of the NU system that you are affilicated with.
   {{< figure src="/images/cilogon-unl.png">}}
5. After a successful authentication you will login on the portal.

    _On first login you become a **guest**.  Any admin user can 
    validate your guest account,  promote you to **user** and add your account to their **namespace**. You need to be assigned to at least one namespace (usually  a group project but can be your new namespace)._
 
   - To get access to a namespace, please contact its owner (usually email). Once you are granted the user role in the cluster and are added to the namespace, you will get access to all namespace resources.

   - If you're starting a new project and would like to have your own namespace, either for yourself or for your group, you can request to be promoted to the admin by **contacting NRP admins through [Matrix](https://docs.pacificresearchplatform.org/userdocs/start/contact/)**.

         This will give you permission to create any number of namespaces and invite other users to your namespace(s). Please note, **you'll be the one responsible for all activity happening in your namespaces**.


6. Once you are made either a user or admin of a namespace, you'll need to accept the **Acceptable Use Policy (AUP)** on the portal page \(as shown in the screenshot below\) in order to get access to the cluster.
{{< figure src="/images/nrp-aup.png" height="50"  >}}

7. Please review [Policies](https://docs.pacificresearchplatform.org/userdocs/start/policies/) before starting any work on the Nautilus Cluster.

### Configure a client to use the Nautilus Cluster

Now you have been given access to the Nautilus Cluster. To interact with the cluster, you need to configure a client with the `kubectl` command-line tool. A client can be your desktop or laptop computer, a virtual machine, or a terminal environment.

1. [Install][1] the kubectl tool

2. Login to [NRP Nautilus portal][2] 
    {{< figure src="/images/nautilus-portal-login.png" height="50"  >}} 
3. Click the **Get Config** link on top right corner of the page to get your configuration file.
    {{< figure src="/images/nrp-get-config.png" height="50" >}}

4. Save the file as **config** and put the file in your \<home\>/.kube folder. 
    This folder may not exist on your machine, to create it execute from a terminal:

    ```
    mkdir ~/.kube
    ```
5. Test kubectl can connect to the cluster using a command line tool: 

    ```
    kubectl get pods -n your_namespace
    ```

    It's possible there are no pods in your namespace yet. If you've got `No resources found.`, this indicates your namespace is empty and you can start running in it.


[1]: https://kubernetes.io/docs/tasks/tools/install-kubectl/
[2]: https://portal.nrp-nautilus.io
