+++
title = "Creating an Account"
weight = "20"
+++

Anyone affiliated with the University of Nebraska system can request an account on
and use HCC shared resources for free.

How to create an HCC account:

1. **Identify or Setup a Group:** All HCC accounts must be associated 
with an HCC group. Usually, user's HCC group the research group owned by their advisor 
but it may also be a class group owned by the course instructor. To establish a new 
group, please complete a [new group request](https://hcc.unl.edu/new-group-request).

2. **Request an Account:** All accounts must be associated with an HCC group. 
Your group will usually be owned by your advisor, however, it could also be a 
class group owned by your instructor. Once you know the group your account will 
be associated with, please complete a [new user request](http://hcc.unl.edu/new-user-request/). 

3. **Setup Two Factor Authentication:** Once your account has been approved, you will recieve an email
with login instructions. To finish activating your account, you will need to ~~visit HCC
offices in person~~ join our [Remote Open Office hours](https://hcc.unl.edu/OOH) or schedule another remote 
session and show your photo ID in order to [activate Two Factor Authentication]({{< relref "setting_up_and_using_duo.md" >}}).

4. **Reset your Temporary Password:** To maintain the security of your account, please
[change your password]({{< relref "how_to_change_your_password.md" >}}) as soon as
your account is active.

Once the above steps are complete, your account is now active and you are ready to 
[connect to HCC resources]({{< ref "/connecting" >}}) and 
[begin submitting jobs]({{< ref "/submitting_jobs" >}}). If you 
have any questions or would like to setup a consultation meeting, please [contact us]({{< relref "/contact_us" >}}).
