+++
title = "Creating an Instance"
description = "How to create an instance on Anvil"
+++

{{% notice info %}}
This guide assumes you have already created SSH keys
([Windows]({{< relref "creating_ssh_key_pairs_on_windows" >}}) | [Mac]({{< relref "creating_ssh_key_pairs_on_mac" >}}))
and [added]({{< relref "adding_ssh_key_pairs" >}}) them to your account,
and if off-campus that you are connected to the [Anvil VPN]({{< relref "connecting_to_the_anvil_vpn" >}}).
{{% /notice %}}

To create an instance, an *Image* is combined with a *Flavor*.
Regardless of whether creating a Linux or Windows instance, the steps
are the same.  See the [Available Images]({{< relref "available_images" >}})
and [Anvil Instance Types]({{< relref "anvil_instance_types" >}}) for details on which images
and flavors are available.  Unless you have a specific reason to choose
otherwise, it's recommended to start with the smallest flavor usable
with your instance.

Login into the web dashboard at https://anvil.unl.edu.
On the left-hand side menu, choose *Images*.

{{< figure src="/images/13599060.png" >}}

Click the *Public* button to see the list of publicly available images.

{{< figure src="/images/13599064.png" >}}

Choose whichever OS you would like and click the *Launch Instance*
button on the right-hand side of the table.  Here, CentOS 6.7 will be
used as an example.

{{< figure src="/images/13599068.png" >}}

A pop-up box will appear with additional details about the instance.
 First, enter a name for the instance and choose the flavor from the
drop-down menu.

{{< figure src="/images/13599073.png" width="600" >}}

Next, click the *Access & Security* tab.  Make sure to select your SSH
key pair from the drop-down menu, and check the *default* box
under *Security Groups*.

{{< figure src="/images/13599077.png" width="600" >}}

Next, click the *Networking* tab.  Click the small blue '+' icon in the
*Cluster Interface* box to add it to the *Selected networks.*


{{< figure src="/images/13599081.png" width="600" >}}

Finally, click the *Launch* button to start the instance.

{{< figure src="/images/13599082.png" width="600" >}}

The *Instances* page will load, and there will be an entry for the newly
created instance.  It may take several minutes for the instance to
complete the provisioning and startup process.
