+++
title = "Running Applications"
weight = "40"
+++

In-depth guides for using applications on HCC resources
--------------------------------------

On HCC clusters there are many [preinstalled software packages](./modules/) and versions available to use. Unlike a traditional laptop or desktop where software is installed globally and always available, HCC resources use a module system to manage installed software to load and unload software packages. Users can load and use pre-installed software by using the `module` command. Software can be loaded in using `module load <module-name>`. A more in-depth explaination of the module system is available under [Using Preinstalled Software](./modules/).

Custom software is also able to be run on HCC resources through various methods. [Source code](./user_software/) can be compiled for use by a user. Software libraries for different languages are able to be used through different packages managers including [Anaconda for Python/R](./user_software/using_anaconda_package_manager/), [the R command line](./user_software/r_packages/), [an Anaconda environment for Perl modules](./user_software/installing_perl_modules/), or through [Apptainer and Docker](./user_software/using_apptainer/).

There are multiple [in-depth guides](./app_specific/) available for different software packages and tools, [Jupyter Notebooks](./app_specific/jupyter/), [various bioinformatics tools](./app_specific/bioinformatics_tools/), [MPI Jobs](./app_specific/mpi_jobs_on_hcc/), and various other tools and software. Examples of different software and submit scripts can be found in [HCC's job-examples git repository](https://github.com/unlhcc/job-examples).
