+++
title = "Install and Running Matlab CobraToolbox, Gurobi, and IBM ILOG CPLEX"
description = "How to install and run Matlab CobraToolbox, Gurobi, and IBM ILOG CPLEX"
+++

## This document provides the steps to install and run MATLAB CobraToolbox in the cluster. Also, it provides an instructions on how to load gurobi, and IBM ILOG CPLEX. 

### INSTALLATION GUIDE    
After logging into the cluster, load the requierd GIT module.

{{< highlight bash >}}
$ module load git/2.22
{{< /highlight >}}

Download Cobra toolbox in your local $WORK directory by using the following command

{{< highlight bash >}}
$ git clone --depth=1 https://github.com/opencobra/cobratoolbox.git cobratoolbox
{{< /highlight >}}

After the download been finished, a directory named "cobratoolbox" should be created in your WORK directory.

Enter the directory "cobratoolbox" using the following command
{{< highlight bash >}}
$ cd cobratoolbox
{{< /highlight >}}

Then run the following command for uploading the required modules for cobratoolbox
{{< highlight bash >}}
$ git submodule update --init
{{< /highlight >}}


If you need to use Gurobi then you need to load its module using the following command
{{< highlight bash >}}
$ gurobi/py38/9.5
{{< /highlight >}}

More versions of Gurobi are installed on the HCC resources and can be discovered used the following command
{{< highlight bash >}}
$ module spider gurobi
{{< /highlight >}}


If you need to use IBM ILOG CPLEX then you need to load its module using the following command
{{< highlight bash >}}
$ module load ibm-ilog-cplex
{{< /highlight >}}


Then run Matlab using the following command
{{< highlight bash >}}
$ matlab 
{{< /highlight >}}

 Finally, run the following command to test CobraToolbox using the following Matlab command
```Matlab
>> initCobraToolbox
```
 
NOTE: you need to install CobraToolbox under your WORK directory NOT HOME directory. Because HOME directories are read-only from the compute nodes.

NOTE: if you load Gurobi and IBM ILOG CPLEX  modules before starting matlab and running initCobraToolbox, CobraToolbox will automatically find them and configure them for use
