+++
title = "Connecting to HCC Clusters"
description = "Information on connecting to HCC resources"
weight = "30"
+++

How to connect to HCC resources

**1. Create an Account:** The use of HCC resources requires an HCC account to be created. To create an account, follow the steps in [Creating an Account]({{< relref "/accounts/_index.md" >}}).

**2. Open a terminal or SSH client** Most interactions with HCC clusters are done through SSH and the command line. In MacOS, Linux, recent versions of Windows 10, and Windows 11 there is an SSH client built-in and can be used from their [respective terminals]({{< relref "terminal.md" >}}). For older versions of Windows, an application such as [PuTTY]({{< relref "putty.md" >}}) or [MobaXterm]({{< relref "mobaxterm.md" >}}) is needed.

**3. Connect to an HCC cluster:** From the terminal or application, use SSH to connect to one of the available clusters. In the terminal, enter `ssh <username>@swan.unl.edu` to connect to the Swan cluster, for example. With [PuTTY]({{< relref "putty.md" >}}) or [MobaXterm]({{< relref "mobaxterm.md" >}}), refer to their respective pages for a guide on how to connect 

If you are not familiar with using command line Linux, check out these resources:

 - [Basic Linux Commands]({{< relref "basic_linux_commands">}})
 - [Software Carpentry Introduction to the Unix Shell Lesson](http://swcarpentry.github.io/shell-novice/)

{{% notice tip %}}
Steps 2 and 3 above represent the traditional way of connecting to the HCC clusters.  An alternative way to connect is through the [HCC OnDemand web portal]({{< relref "open_ondemand" >}}) which provides web-based access to a variety of tools including: virtual desktop, jupyter notebook, login shell, file manager, and job composer.    
{{% /notice %}}
 
<!--
 [X11 forwarding]({{< relref "how_to_setup_x11_forwarding.md" >}}) allows the use of GUI applications remotely.
-->
