+++
title = "How to setup X11 forwarding"
description = "Use X11 forwarding to view GUI programs remotely"
weight = "35"
+++

### If you are connecting to HCC clusters via a PC running Windows, please take the following steps to setup X11 forwarding.

1.  Download Xming to your local PC and install. Download
    link: https://downloads.sourceforge.net/project/xming/Xming/6.9.0.31/Xming-6-9-0-31-setup.exe
2.  Download PuTTY to your local PC and install.  Download link for PuTTY (64-bit x86 .msi installer): https://www.chiark.greenend.org.uk/~sgtatham/putty/latest.html
3.  Open Xming and keep it running in the background.
4.  Configure PuTTY as below:  
    {{< figure src="/images/putty_initial.png" height="400" >}}
    {{< figure src="/images/Putty-win10X11.png" height="400" >}}

5.  To test your X11 setup, after login, type command `xeyes` and press
    enter.  
    {{< figure src="/images/Putty-win10XEYES.png" height="400" >}}

6.  Close the xeyes application by "Ctrl + c" from the terminal or click
    the close button on the up-right corner of the graphical window.

### If you are connecting to HCC clusters via a Macintosh, please take the following steps to setup X11 forwarding.

- Check the OS version on your Mac, if it's below 10.8., you can simply type `ssh -Y username@hostname` in your terminal to login.

- If your OS version is newer than 10.8, please do the following:
  1. Download and install XQuartz.
    Download link: https://github.com/XQuartz/XQuartz/releases/download/XQuartz-2.8.5/XQuartz-2.8.5.pkg

    {{% notice info %}}**Note that the screenshots given here use XQuartz 2.8.5. Different versions may have different prompts.**{{% /notice %}}

  2. Type `ssh -Y username@hostname` in your terminal to login.
  3. To test your X11 setup, after login, type command "xeyes" and press
    enter. 

    {{< figure src="/images/mac_x11_forwarding.png" height="400" >}} 
  4. Close the xeyes application by "Control + c" from the terminal or
    click the close button on the up-left corner of the graphical
    window.  
      
### If you are connecting to HCC clusters via a Linux laptop, please take the following steps to setup X11 forwarding.

1.  Open the remote client terminal.
2.  Type `ssh -Y username@hostname`" in your terminal to login.
3.  To test your X11 setup, after login, type command "xeyes" and press
    enter.
4.  Close the xeyes application by "Ctrl + c" from the terminal or click
    the close button on the up-right corner of the graphical window.

### Special note about Indirect GLX

If you are using OS X or Linux, you may need to re-enable indirect GLX (IGLX) in order for
the GUI application to run properly. IGLX was disabled for security reasons starting with
X.org version 1.17 (Linux) and XQuartz version 2.7.9 (OS X).  More information about this
change is available at [this link](https://www.phoronix.com/scan.php?page=news_item&px=Xorg-IGLX-Potential-Bye-Bye).

To re-enable IGLX, use the follwing instructions:

#### OS X

Open a terminal on your Mac, and run the following command:

{{% panel theme="info" header="Enable ILGX on OS X" %}}
{{< highlight bash >}}
$ sudo defaults write org.macosforge.xquartz.X11 enable_iglx -bool true
{{< /highlight >}}
{{% /panel %}}

Log out or restart your Mac for the changes to take effect.

#### Linux

You will need to create a small Xorg configuration file.  This requires `root` access, so
run commands with care.

{{% notice warning %}}
Be extremely cautious running commands as `root`.  You can permanently make your system unusable.
{{% /notice %}}

Create a file at `/etc/X11/xorg.conf.d/iglx.conf` with the following contents:

{{% panel theme="info" header="/etc/X11/xorg.conf.d/iglx.conf" %}}
{{< highlight bash >}}
Section "ServerFlags"
	Option "IndirectGLX" "on"
EndSection
{{< /highlight >}}
{{% /panel %}}

Restart X11 by logging out, or by rebooting your machine.

#### Related articles

[X11 on Windows](http://www.straightrunning.com/XmingNotes)

[X11 on Mac](https://en.wikipedia.org/wiki/XQuartz)

[X11 on Linux](http://www.wikihow.com/Configure-X11-in-Linux)
