+++
title = "Connecting with MobaXterm"
description = "Connecting to and Transfering files between HCC Clusters with MobaXterm"
weight = "22"
+++

##### Use of Duo two-factor authentication is **required** to access HCC resources.
##### Please see [Setting up and Using Duo]({{< relref "setting_up_and_using_duo" >}}).
---

This quick start will help you configure your MobaXterm installation to work with HCC resources.

Access to HCC Supercomputers using MobaXterm
-------------------------------

To connect to HCC resources using MobaXterm, open the application and select the Session Icon. 
{{< figure src="/images/moba/main.png" height="450" >}}

Select SSH as the session type. Enter the cluster you are connecting to, in the example, `swan.unl.edu`, is used.  Check `Specify username`  and enter your HCC username in the the box. Note that &lt;username&gt;
should be replaced by your HCC account username. If you do not have a
HCC account, please contact a HCC specialist
({{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu))
or go to https://hcc.unl.edu/newusers.
{{< figure src="/images/moba/session.png" height="450" >}}

Select OK. You will be asked to enter your password and to authenticate with duo. 
{{< figure src="/images/moba/login.png" height="450" >}}
{{< figure src="/images/moba/loggedin.png" height="450" >}}

File Transferring with HCC Supercomputers
-----------------------------------------

### Using MobaXterm

MobaXterm allows file transfering in a 'drag and drop' style, similar to WinSCP. MobaXterm also allows editing of files from a built in text editor or an editor of your choice already installed on your local machine. 

**Uploading from local to remote**



The above example transfers a folder from a local directory of the your computer to the `$HOME` directory of the HCC
supercomputer, Swan. Note that you need to replace `<group name>`
and `<username>` with your HCC group name and username. 
{{< figure src="/images/moba/upload.png" height="450" >}}
**Downloading from remote to local**



The above example transfers a folder from the `$HOME` directory of
the HCC supercomputer, Swan, to a local directory on 
your computer.
{{< figure src="/images/moba/download.png" height="450" >}}
**Editing remote files**

By double clicking on a file in the toolbar of the left, you are able to open the file in the editor from MobaXterm.

{{< figure src="/images/moba/defaulttext.png" height="450" >}}

There is the option to use your own choice of editor already installed on your local machine. Under the `General` Tab in MobaXterm's settings, set the path of the editor's installation.

{{< figure src="/images/moba/editor.png" height="450" >}}

In the example above, Notepad++ is used as the choice editor. Once the editor is selected, it becomes the default editor for double clicking files and editing.
### Using an SFTP Session

With HCC Clusters, MobaXterm requires an additional option to be marked to allow SFTP sessions to properly work. MobaXterm will still prompt you for DUO authentication, but will not properly work unless the `2-Steps Authentication` checkbox is enabled in your session settings

To accomplish this, go to the `Advanced Sftp Settings` when creating a new SFTP session and select `2-Steps Authentication`


{{< figure src="/images/moba/MobaXTermSFTP2FA.png" height="450" >}}


### Generating SSH Keys

With Anvil, you will need to generate SSH keys in order to access your instances. These are able to be generated in MobaXterm. 

{{< figure src="/images/moba/menussh.png" height="450" >}}

In the Generator window, click `Generate` and move your mouse around in the `Key` box randomly to generate the key. 

{{< figure src="/images/moba/genssh.png" height="450" >}}

After the key is generated, go to the `Conversions` tab and select `Export OpenSSH key` and save it to your local machine. 

{{< figure src="/images/moba/exportssh.png" height="450" >}}
**Treat the private key file the same as you would a password.  Keep your private key in a secure location and do not share it with anyone.**

