+++
title = "Connecting with PuTTY (Windows)"
description = "How to connect to HCC clusters using the PuTTY SSH client"
weight = "20"
+++

##### Use of Duo two-factor authentication is **required** to access HCC resources. 
##### Please see [Setting up and Using Duo]({{< relref "setting_up_and_using_duo" >}}).

- [Connecting to HCC Clusters](#connecting-to-hcc-clusters)
- [Windows 10 and 11](#windows-10-and-11)
- [Using Putty](#using-putty)
  - [Next Steps:](#next-steps)

## Connecting to HCC Clusters

{{% notice info %}}
If you have a MacOS or Linux system, please see [Connecting with Terminal]
({{< relref "/connecting/terminal.md" >}}).
{{% /notice %}}


## Windows 10 and 11
--------------

Windows 10 and 11 users, can connect using the
Command Prompt. Please see [Connecting with the Terminal]({{< relref "/connecting/terminal" >}})
for more details.

## Using Putty
--------------

For Windows installations without built-in SSH, you will need to install an SSH client to connect.
We will cover the use of PuTTY here, but you are free to use any compatable client, such as 
[MobaXterm]({{< relref "/connecting/mobaxterm" >}}) as well.

To download and install PuTTY, visit the [PuTTY website]
(https://www.chiark.greenend.org.uk/~sgtatham/putty/latest.html).

Once you have PuTTY installed, run the application and follow these steps:

{{% notice info %}}
**Note that the example below uses the `Swan` cluster.
{{% /notice %}}

1.  On the first screen, type `swan.unl.edu` for Host Name, then click
    **Open**. 
    {{< figure src="/images/putty_initial.png" height="450" >}}

2.  On the second screen, click on **Yes**.  
    {{< figure src="/images/3178524.png" height="300" >}}

3.  On the third screen, enter your HCC account **username**. If you do
    not have a HCC account, please contact an HCC specialist
    ({{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu))
    or go to http://hcc.unl.edu/newusers.

    {{% notice info %}}Replace `hccdemo` with your username.{{% /notice %}}


    {{< figure src="/images/putty_username.png" height="450" >}}      

4.  On the next screen, enter your HCC account **password**. 

    {{% notice info %}}**Note that PuTTY will not show the characters as you type for security reasons.**{{% /notice %}} 

    {{< figure src="/images/putty_password.png" height="450" >}}

5.  After you input the correct
    password, you will be asked to choose a Duo authentication
    method.
      
6.  If you have a Yubikey set up by HCC, please hold the Yubikey for \~1
    second. Then you will be brought to your home directory similar as
    below.   
     
    {{< figure src="/images/putty_duo.png" height="450" >}} 
      
7.  If you set up Duo via a smart phone, please type "1" in your
    terminal and press "Enter". (Duo-Push is the most cost-effective way
    for Duo authentication, we recommend all user use this option if
    that is applicable.)  
      
8.  Check your smart phone for Duo login request. Press "Approve" if you
    can verify the request. If you find any Duo login request that is
    not initiated by yourself, deny it and report this incident
    immediately to {{< icon name="envelope" >}}[hcc-support@unl.edu](mailto:hcc-support@unl.edu).

    {{< figure src="/images/duo_app_request.png" height="450" >}}      
      
9.  After you approve the Duo login request, you will be brought to your
    home directory similar as below.  

    {{< figure src="/images/putty_duo.png" height="450" >}}
 
### Next Steps:

Now that you are connected, check out these resources to learn more:
 - [Handling Data]({{< relref "../handling_data/">}})
 - [Running Applications]({{< relref "../applications/">}})
 - [Submitting Jobs]({{< relref "../submitting_jobs/">}})

If you are not familiar with using command line Linux, check out these resources:
 - [Basic Linux Commands]({{< relref "basic_linux_commands">}})
 - [Software Carpentry Introduction to the Unix Shell Lesson](http://swcarpentry.github.io/shell-novice/)
