+++
title = "Handling Data"
description = "How to work with and transfer data to/from HCC resources."
weight = "30"
+++

{{% panel theme="danger" header="**Sensitive and Protected Data**" %}}HCC currently has *no storage* that is suitable for **HIPAA** or other **PID** data sets.  Users are not permitted to store such data on HCC machines.{{% /panel %}}

All HCC machines have three separate areas for every user to store data,
each intended for a different purpose. The three areas are `/common`, `/work`, and `/home`, each with different functions. `/home` is your home directory with a quota limit of **{{< hcc-quota "swan.home.block" >}}** and is backed up for best-effort disaster recovery purposes. `/work` is the high performance, I/O focused directory for running jobs. `/work` has a **{{< hcc-quota "swan.work.block" >}} per group quota**, is not backed-up and is subject to a [purge policy]({{<relref "data_storage/#purge-policy" >}}) of **{{< hcc-quota "swan.work.purge" >}} of inactivity on a file**. `/common` works similarly to `/work` and is mounted with read and write capabilities on all HCC clusters, meaning any files on `/common` can be accessed from all of HCC clusters unlike `/home` and `/work` which are cluster dependant. More information on the three storage areas on HCC's clusters are available in the [Data Storage]({{<relref "data_storage">}}) page.
{{< figure src="/images/35325560.png" height="500" class="img-border">}}

HCC also offers a separate, near-line archive with space available for lease called Attic. Attic provides reliable large data storage that is designed to be more reliable than `/work`, and larger than `/home`. More information on Attic and how to transfer data to and from Attic can be found on the [Using Attic]({{<relref "data_storage/using_attic">}}) page.

You can also use your [UNL OneDrive Account]({{< relref "data_transfer/using_rclone_with_hcc/" >}}) account to download and
upload files from any of the HCC clusters.

For moving general data into or out of HCC Resources, users are recommended to use [scp]({{<relref "data_transfer/scp" >}}) for command line transfers on Windows 10, Windows 11, MacOS, and Linux, or for graphical transfers,  [WinSCP]({{<relref "data_transfer/winscp" >}}) for Windows, and [CyberDuck]({{<relref "data_transfer/cyberduck" >}}) for MacOS and Linux

For moving large amounts of data into or out of HCC resources, users are highly encouraged to consider using [Globus Connect]({{< relref "data_transfer/globus_connect/" >}}).


If you have space requirements outside what is currently provided or any questions regarding moving data around,
please
email <a href="mailto:hcc-support@unl.edu" class="external-link">hcc-support@unl.edu</a>.

### Using */scratch* storage space to improve running jobs:
[Using Scratch]({{<relref "using_scratch_space" >}})
