+++
title = "MacOS"
description = "Accessing NRDStor Using Samba - MacOS"
weight=30
+++

Within MacOS, NRDStor can be added as a location for data and appear similar to an external USB hard drive. 
Under Finder's **"Go"** menu, select **"Connect to a server"**.
{{< figure src="/images/FinderServerConnect.png" width="700" class="img-border">}}





In the address box, enter **"smb://nrdstor.unl.edu/user"** to access your user folder, or use **"smb://nrdstor.unl.edu/group"** to access your primary groups folder.


{{< figure src="/images/nrdstor_mac_user.png" width="700" class="img-border">}}
{{< figure src="/images/nrdstor_mac_group.png" width="700" class="img-border">}}


If you want to add a place from a secondary group, such as another research group, then you will need to specify the **full path** in the address box. Enter **"//nrdstor.unl.edu/nrdstor/GROUP/USER"**, replacing **"GROUP"** and **"USER"** with your HCC group and username. For example, the account, **"hccdemo"** who is a member of **"demo"** would enter **"//nrdstor.unl.edu/nrdstor/demo/hccdemo"**. 

{{< figure src="/images/nrdstor_mac_full_path.png" width="700" class="img-border">}}
{{< figure src="/images/nrdstor_mac_full_path_example.png" width="700" class="img-border">}}




Click on **"Connect"**. You will be prompted to sign in to an account. **Use your University credentials to sign in, NOT your HCC credentials.** For UNL, UNK, and UNO users both your University username and email address will work as the username.  For UNMC users, you must use your NUID in the format of `<NUID>@nead.nebraska.edu` as the username, replacing `<NUID>` with your 8 digit NUID.

{{% notice info %}}
For UNMC users, you must use your NUID username and password to login (not UNMC credentials).  Use the format `00000000@nead.nebraska.edu` for your username, where 00000000 is your NUID.
{{% /notice %}}

{{< figure src="/images/Mac_SMB_Username.png" width="700" class="img-border">}}
{{< figure src="/images/Mac_SMB_Email.png" width="700" class="img-border">}}


After that a warning message might appear if you try to cnnect at the first time.
{{< figure src="/images/Mac_SMB_Warning.png" width="700" class="img-border">}}



Once authentication has been successful, NRDStor will now be available in finder as a remote location.

{{< figure src="/images/Mac_SMB_Connected-2.png" width="700" class="img-border">}}


In the future, NRDStor can be access from the side bar under **"Locations"** and you can navigate to your group and user directories. 
{{< figure src="/images/Mac_SMB_Sidebar.png" width="700" class="img-border">}}

Next: [Accessing NRDStor from SWAN]({{< relref "Swan" >}})


