+++
title = "The Nebraska Research Data Storage (NRDStor)"
description = "Using The Nebraska Research Data Storage (NRDStor)"
weight = "60"
+++

{{% notice note %}}
Access to NRDStor is by request and requires completion of a short course before access is granted.  Please see the [Request NRDStor Access](https://hcc.unl.edu/request-nrdstor-access) page (HCC login required) for more details and to start the process.
{{% /notice %}}


### Overview of NRDStor
The Nebraska Research and Data Storage (NRDStor) is a storage platform with wide accessibility for the research data needs of Nebraska's researchers. NRDStor is accessible from a mounted network drive on your on-campus lab computer, your laptop connected on campus or through the University of Nebraska VPN, the Swan supercomputer, an Anvil VM, or through a web browser. 


{{% panel theme="danger" header="**Sensitive and Protected Data**" %}} HCC (Including NRDStor) currently has no storage that is suitable for HIPAA, PHI, PID, classified or other data sets for which access is legally restricted.  Users are not permitted to store such data on HCC machines.
{{% /panel %}}

Data download and upload speeds vary on a variety of factors, including file size, system load, your computer's internet speed, and more. 
The examples below are assuming a modern laptop uploading/downloading a large 25GB video file. 

- Home internet **1 gbps** plan:             **30 seconds**
- Home internet **500 mbps** plan:       **1 minute**
- Home internet **100 mbps** plan:       **4.5 minutes**
- Home internet **25 mbps** plan:         **17.5 minutes**
- University Wi-Fi **(30-300 mbps)**:       **1.5 - 14.5 minutes**
- University Wired Network **(1 gbps)**: **30 seconds**

### Installing NU-VPN

If you are not on a University of Nebraska campus, you will need to connect to the NU-VPN using [this guide](https://services.unl.edu/service/virtual-private-network-vpn-global-protect/vpn-client-installation-guide) from NU ITS. If you are on Campus, no additional software is needed.


### Accessing NRDStor
NRDStor has two current methods of access - directly on Swan similar to the existing filesystems, and through the [CIFS/SMB protocol](https://www.samba.org/) on a laptop, desktop, or workstation connected to an NU network.




- [Accessing NRDStor From Swan]({{< relref "Swan" >}})
- [Accessing NRDStor From Windows]({{< relref "Windows" >}})
- [Accessing NRDStor From Mac]({{< relref "Mac" >}})
- [Using smbclient to access NRDStor]({{< relref "Smbclient" >}})
