+++
title = "File Transfer with CyberDuck"
description = "Transfering data to and from HCC clusters with the Cyberduck SCP Client"
weight = "30"
+++

---

## Using Cyberduck
---------------

{{% notice info %}}
Cyberduck versions 8.4.4 to 8.4.5 are incompatible with Duo authentication.
Upgrading to 8.5.0 or later should resolve the issue.
{{% /notice %}}


If you wish to use a GUI for data transfer, be aware that not all programs will function
correctly with Duo two-factor authentication.  Mac users are recommended
to use [Cyberduck](https://cyberduck.io). It is compatible with Duo, but a
few settings need to be changed.

{{% notice info %}}**Note that the screenshots given here use Cyberduck 8.6.0. Different versions may have different prompts.**{{% /notice %}}

Under **Preferences - Connection**, change the default protocol to SFTP:

{{< figure src="/images/mac_cyberduck_1.png" height="450" >}}

Under **Preferences - Transfers**, reuse the browser connection for file
transfers.  This will avoid the need to reenter your password for every
file transfer:

{{< figure src="/images/mac_cyberduck_2.png" height="450" >}}

To add an HCC machine, in the bookmarks panel click the "+" icon:

{{< figure src="/images/mac_cyberduck_3.png" height="450" >}}

Ensure the type of connection is SFTP.  Enter the hostname of the machine 
you wish to connect to (swan.unl.edu) in the **Server**
field, and your HCC username and HCC password in the **Username** and **Password** fields.  
The **Nickname** field is arbitrary, so enter whatever you prefer.

{{< figure src="/images/mac_cyberduck_4.png" height="450" >}}

After you add the bookmark, double-click it to connect.

{{< figure src="/images/mac_cyberduck_5.png" height="450" >}}

Click on **Allow** and check **Always** if you want to skip this prompt in future.

{{< figure src="/images/mac_cyberduck_6.png" height="450" >}}

A Duo two-factor login dialogue will appear.

{{< figure src="/images/mac_cyberduck_7.png" height="450" >}}

If you are using the Duo Mobile app, enter '1' to have a push 
notification send to your phone or tablet.  If you are using a 
Yubikey, ensure the cursor is active in the **Passcode or option** field, 
and press the button on the Yubikey.

The login should complete and you can simply drag and drop files to or
from the window.

{{< figure src="/images/mac_cyberduck_8.png" height="450" >}}

If you run into issues with two-factor authentication, try the command below for a quick fix:
{{< highlight bash >}}
$ rm -rf ~/Library/Group\ Containers/G69SCX94XU.duck/Library/Application\ Support/duck/
{{< /highlight >}}
