+++
title = "BWA"
description = "How to use BWA on HCC machines"
weight = "52"
+++


BWA (Burrows-Wheeler Aligner) is a software package for mapping relatively short nucleotide sequences against a long reference sequence. BWA is slower than Bowtie, but allows indels in the alignment.

The basic usage of BWA is:
{{< highlight bash >}}
$ bwa COMMAND [options]
{{< /highlight >}}
where **COMMAND** is one of the available BWA commands:

- **index**: index sequences in the FASTA format
- **mem**: BWA-MEM algorithm
- **fastmap**: identify super-maximal exact matches
- **pemerge**: merge overlapping paired ends (EXPERIMENTAL)
- **aln**: gapped/ungapped alignment
- **samse**: generate alignment (single ended)
- **sampe**: generate alignment (paired ended)
- **bwasw**: BWA-SW for long queries
- **fa2pac**: convert FASTA to PAC format
- **pac2bwt**: generate BWT from PAC
- **pac2bwtgen**: alternative algorithm for generating BWT
- **bwtupdate**: update .bwt to the new format
- **bwt2sa**: generate SA from BWT and Occ

BWA supports three alignment algorithms, **mem**, **bwasw**, and **aln**/**samse**/**sampe**. **bwa mem** is the latest algorithm, and is faster, more accurate and has better performance than **bwa bwasw** and **bwa aln**/**samse**/**sampe**. Therefore, if there are not any specific reasons, **bwa mem** is recommended for first-time users.

For detailed description and more information on a specific command, just type:
{{< highlight bash >}}
$  bwa COMMAND
{{< /highlight >}}
or check the [BWA manual](http://bio-bwa.sourceforge.net/bwa.shtml).


The page [Running BWA Commands]({{<relref "running_bwa_commands" >}}) shows how to run BWA on HCC.
